Bug 36637 - mkdosfs or the kernel or both are horked
mkdosfs or the kernel or both are horked
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dosfstools (Show other bugs)
7.1
i386 Linux
low Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 08:12 EDT by Alan Cox
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 10:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2001-04-19 08:12:13 EDT
% mkdosfs
Bad address
(strace it and you'll see what its doing!)

% mkdosfs /dev/hda1
% mount -t msdos /dev/hda1 /mnt
[Reports no DOS fs there]

If I then boot DOS 6.21 and use the DOSfs it is seen but corrupts itself
rapidly making me suspect it was created incorrectly.
Comment 1 Preston Brown 2001-07-06 11:25:05 EDT
bug #1 was a bug in argument parsing I have just fixed.

Can't duplicate bug #2 with kernel 2.4.2-2 and newer dosfstools 2.7 that I have just 
packaged, so I am going to assume the problem has been rectified with this much 
newer codebase.
Comment 2 Alan Cox 2001-07-06 11:48:08 EDT
Cool, I'll rerun the test cases I have (DOS 6.21 is #1 and the scond test case
is HP digital cameras).once I see the package out

Note You need to log in before you can comment on or make changes to this bug.